gnutls_heartbeat_enable(3)

NAME
gnutls_heartbeat_enable - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_heartbeat_enable(gnutls_session_t session, unsigned int type);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int type
    one of the GNUTLS_HB_* flags

DESCRIPTION
If this function is called with the GNUTLS_HB_PEER_ALLOWED_TO_SEND GnuTLS will allow heartbeat messages to be received. Moreover it also request the peer to accept heartbeat messages. The function gnutls_heartbeat_allowed() can be used to test Whether locally generated heartbeat messages can be accepted by the peer.

SINCE
3.1.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/